Custom Fields
Manage custom fields. Ability to create, edit, view, and delete custom fields.
Available Endpoints
| Method |
Path |
Description |
| GET |
/api/custom-fields |
List custom fields |
| GET |
/api/custom-fields/{id} |
View field details |
| POST |
/api/custom-fields |
Create new custom field |
| PUT |
/api/custom-fields/{id} |
Full update of a field |
| PATCH |
/api/custom-fields/{id} |
Partial update of a field |
| DELETE |
/api/custom-fields/{id} |
Delete a field |
Example Request
curl -X GET "https://example.com/api/custom-fields" \
-H "Authorization: Bearer {token}"
Success Response (200)
{
"records": [],
"meta": {
"total": 0,
"current_page": 1,
"per_page": 20
}
}
Errors
| Code |
Description |
| 401 |
Invalid token |
| 403 |
Access denied |
| 404 |
Record not found |
| 422 |
Validation error |